运维开发网

在Deepin 20下不要添加Ubuntu的仓库安装Wine,附正确的方法

运维开发网 https://www.qedev.com 2021-02-21 10:10 出处:深度站 作者:刘小明
在Deepin 20系统下如果要安装Wine不要添加Ubuntu的仓库,否则会报错,无法进行安装下去,以下教你正确安装Wine 4/5/6的方法。 报错 加Ubuntu的仓库在Deepin 20下安装Wine,结果报错:Error: cou

在Deepin 20系统下如果要安装Wine不要添加Ubuntu的仓库,否则会报错,无法进行安装下去,以下教你正确安装Wine 4/5/6的方法。

 

报错

加Ubuntu的仓库在Deepin 20下安装Wine,结果报错:Error: could not find a distribution template for Deepin/n/a,如下图所示:

在Deepin 20下不要添加Ubuntu的仓库安装Wine,附正确的方法

 

正确的处理方法

1、安装deepin-wine5

在Deepin 20下可以改安装deepin-wine5,只要在系统终端中运行sudo apt install deepin-wine5就可以了。参考在Deepin V20系统下安装deepin-wine5并用它来安装微信。

2、安装Wine 4

如果不想用deepin-wine5,可以安装Wine 4,只需要在终端中直接运行sudo apt-get install wine命令即可。

3、安装Wine 5、6版本的说明

当前安装Wine 5或是6版本都会报错,但也是可以处理的,如安装Wine 5.0以上版本要自己安装libfaudio0这个包,源里面没有,推荐到Debian buster-backports仓库里面下载。

如果要安装Wine 6.0,可以参考Debian 10的安装方法,因为Deepin 20基于该发行版,请依次执行以下命令:

sudo dpkg --add-architecture i386

wget -nc https://dl.winehq.org/wine-builds/Release.key

sudo apt-key add Release.key

然后添加软件源到/etc/apt/sources.list或创建一个*.list文件于/etc/apt/sources.list.d/,并包含以下代码:

deb https://dl.winehq.org/wine-builds/debian/ buster main

然后再执行以下命令安装:

sudo apt update

sudo apt install --install-recommends winehq-stable

注:如果apt提示缺少依赖,请先安装缺少的依赖(WineHQ安装包安装于Debian 10或更新的版本时,会要求安装libfaudio0依赖,由于发行版尚未提供该包,可以从OBS下载libfaudio0安装包),然后重复以上update和install的命令。

 

扫码领视频副本.gif

0

精彩评论

暂无评论...
验证码 换一张
取 消

关注公众号